Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFileDialog.FileMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFileDialog.FileMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFileDialog

    public static final class QFileDialog.FileMode

extends java.lang.Enum
implements QtEnumerator

This enum is used to indicate what the user may select in the file dialog; i.e. what the dialog will return if the user clicks OK.

See also:
  setFileMode().

See Also:
  Serialized Form

Field Summary
`static QFileDialog.FileMode` | `AnyFile` The name of a file, whether it exists or not.
`static QFileDialog.FileMode` | `Directory` The name of a directory.
`static QFileDialog.FileMode` | `DirectoryOnly` The name of a directory.
`static QFileDialog.FileMode` | `ExistingFile` The name of a single existing file.
`static QFileDialog.FileMode` | `ExistingFiles` The names of zero or more existing files.

Method Summary
`static QFileDialog.FileMode` | `resolve(int value)` Returns the QFileDialog$FileMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileDialog.FileMode` | `valueOf(java.lang.String name)`
`static QFileDialog.FileMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AnyFile

    public static final QFileDialog.FileMode AnyFile

  The name of a file, whether it exists or not.

### ExistingFile

    public static final QFileDialog.FileMode ExistingFile

  The name of a single existing file.

### Directory

    public static final QFileDialog.FileMode Directory

  The name of a directory. Both files and directories are displayed.

### ExistingFiles

    public static final QFileDialog.FileMode ExistingFiles

  The names of zero or more existing files.

### DirectoryOnly

    public static final QFileDialog.FileMode DirectoryOnly

  The name of a directory. The file dialog will only display directories.

Method Detail

### values

    public static QFileDialog.FileMode[] values()

### valueOf

    public static QFileDialog.FileMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFileDialog.FileMode resolve(int value)

  Returns the QFileDialog$FileMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD